Apache Directory Studio

Add this URL to your Eclipse Installation to reach this Solution's Update Site.

Mars (4.5)
Luna (4.4)
Kepler (4.3)
Juno (4.2, 3.8)

Learn more...

Details Group Tabs

Javier Diaz Estebaranz's picture

When trying to update last version of apache directory studio, it fails due to following error and it is impossible to achieve the update:

Cannot complete the install because one or more required items could not be found.
Software being installed: Apache Directory Studio LDAP Browser 2.0.0.v20150606-M9 (org.apache.directory.studio.ldapbrowser.feature.feature.group 2.0.0.v20150606-M9)
Missing requirement: Apache Directory LDAP API Model 1.0.0.M30 (org.apache.directory.api.ldap.model 1.0.0.M30) requires 'package org.apache.commons.collections 3.2.1' but it could not be found
Cannot satisfy dependency:
From: Apache Directory LDAP API Extras ACI 1.0.0.M30 (org.apache.directory.api.ldap.extras.aci 1.0.0.M30)
To: package org.apache.directory.api.ldap.model.constants 1.0.0.M30
Cannot satisfy dependency:
From: Apache Directory Studio ACI Item Editor 2.0.0.v20150606-M9 (org.apache.directory.studio.aciitemeditor 2.0.0.v20150606-M9)
To: bundle org.apache.directory.api.ldap.extras.aci 1.0.0.M30
Cannot satisfy dependency:
From: Apache Directory Studio LDAP Browser 2.0.0.v20150606-M9 (org.apache.directory.studio.ldapbrowser.feature.feature.group 2.0.0.v20150606-M9)
To: org.apache.directory.studio.aciitemeditor [2.0.0.v20150606-M9]

sourabh kathavate's picture

Not able to download this plugin ,

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: org.eclipse.update.feature,org.apache.directory.studio.apacheds.feature,2.0.0.v20150606-M9
No repository found containing: org.eclipse.update.feature,org.apache.directory.studio.ldapbrowser.feature,2.0.0.v20150606-M9
No repository found containing: org.eclipse.update.feature,org.apache.directory.studio.ldifeditor.feature,2.0.0.v20150606-M9
No repository found containing: org.eclipse.update.feature,org.apache.directory.studio.schemaeditor.feature,2.0.0.v20150606-M9
No repository found containing: osgi.bundle,org.apache.directory.studio.slf4j-eclipselog,2.0.0.v20150606-M9

Miroslav Zat'ko's picture

I have same problem as Mike McAngus with Apache Directory Studio 2.0.0-M7. I don't think it is fixed...
Version: Kepler Service Release 1, Build id: 20130919-0819
as well as
Version: 4.3.2, Build id: M20131106-0800

Michael McCollough's picture

Any way to get the plugin without update site? Our dev is isolated from everthing so cannot get to internet.

Mike McAngus's picture

Upgraded MyEclipse and tried to install the latest Apache Directory Studio LDAP Browser both via the Eclipse Marketplace and directly from directory.apache.org/studio/update/2.x/.

On the "Confirm Selected Features" pop-up, I receive an error pop-up "The following solutions are not available: Apache Directory Studio Proceed with the installation anyways?"

If I proceed with the installation I get a non-functional installation. In the "Window | Open Perspective | Other" menu, the installation is identified as "<LDAP>".

Pierre-Arnaud MARCELOT's picture

The update site for version 2.0.0-M6 was bogus and contained a bad link to one of the dependencies.

It's now fixed with version 2.0.0-M7.